{
    "sharefeed" : [
        {
            "url": "https://github.com/dplanitzer/Serena",
            "author": "Dietmar Planitzer",
            "title": "Serena - An experimental operating system for 32bit Amiga computers.",
            "date": "2024-08-14 13:00",
            "note": "If I had an Amiga, I would be geeking out so much about this. You would not see me for days."
        },
        {
            "url": "https://chuck.is/news/",
            "author": "Chuck Carrol",
            "title": "The News is Information Junk Food",
            "pubDate": "2022-09-16",
            "date": "2024-08-09 16:00",
            "note": "A discussion about the negative affects the 24 hour news cycle has on us. I want to dissect this further cause I have a feeling there's some nuggets of bad takes in here, but the overall takeway I agree with. If I had a nickel for every time my social media feed ended up getting overrun by political nonsense, I would have... uh... five nickels? What can you buy for a quarter nowadays? ...hmm"
        },
        {
            "url": "https://github.com/vpand/icpp",
            "author": "VPAND Team",
            "title": "icpp - Running C++ in anywhere like a script.",
            "date": "2024-08-09 15:00",
            "note": "I just think it's funny okay"
        },
        {
            "url": "https://jon.bo/posts/digital-tools/",
            "author": "Jonathan Borichevskiy",
            "title": "Digital Tools I Wish Existed",
            "pubDate": "2019-11-28",
            "date": "2024-08-09 14:00",
            "note": "Interesting exploration of digital information gathering, consumption, and archive tools that the author wish existed. I want to make a response to this one day with my own ideas and critiques of the particular features he wants (whether they make sense to me or not and if not what alternatives I think would be good instead)."
        },
        {
            "url": "https://stack-auth.com",
            "author": "Stackframe Inc.",
            "title": "Stack Auth - Open-source Clerk/Auth0 alternative",
            "date": "2024-08-09 13:00",
            "note": "A really promising open source alternative to WYSIWIG auth solutions like Clerk and Auth0. I would need to confirm its security and its flexibility, but the fact that they specifically say \"hey, you can totally just use your own frontend and use our SDK in the background\" makes me very excited. All of the user-facing elements can be styled my own way, while the internal admin elements can just be the defaults so I don't have to code it all. I might end up using this instead of Auth.js for phase 2 of my site if this lives up to my expectations."
        },
        {
            "url": "https://tonsky.me/blog/diagrams/",
            "author": "Niki Tonsky",
            "title": "Where Should Visual Programming Go?",
            "pubDate": "2024-07-18",
            "date": "2024-07-27 14:00",
            "note": "A discussion about what incorporating diagrams and other visualizations into your codebase could and should look like. I think the idea of embedding diagrams into your comments is a very good idea (in fact, we should be using markdown in our docs already), but I'm not sure how useful creating parsable visual state machines and etc. would be. Fun fact: there seems to be a pseudo-collab-tool built into the site where you can see where other readers' cursors are. I kept trying to hold digital hands with the other cursor but it kept running away from me. Why are you so mean ;w;"
        },
        {
            "url": "https://blog.singleton.io/posts/2022-10-17-otp-on-wrist/",
            "author": "David Singleton",
            "title": "TOTP tokens on my wrist with the smartest dumb watch.",
            "pubDate": "2022-10-17",
            "date": "2024-07-27 13:00",
            "note": "A demonstration of the Sensor Watch, a replacement motherboard for the famous Casio F-91W digital watch that turns it into a programmable ARM Cortex M0+ powered smartwatch. It is absolutely wild, and I want one now even though the motherboard costs more than the watch itself. The idea of a wearable version of those Square Enix TOTP devices is so fascinating to me."
        },
        {
            "url": "https://semanticdiff.com/blog/language-aware-diff-how-far/",
            "author": "Michael Müller",
            "title": "How far should a programming language aware diff go?",
            "pubDate": "2024-07-17",
            "date": "2024-07-25",
            "note": "A fun look on what differences in code could be considered \"irrelevant changes\" and the consequences of ignoring such changes. Note: This is a corporate blog post made for a VSCode and GitHub extension for \"language aware diff\" that includes premium software support."
        },
        {
            "url": "https://scrapscript.org",
            "author": "Max Bernstein",
            "title": "scrapscript - A functional, content-addressable programming language",
            "date": "2024-07-24",
            "note": "An interesting new scripting language that's basically Haskell but if it was even weirder. I want to make a blog post about this one day discussing how it compares to other programming languages and how it could be used."
        },
        {
            "url": "https://thetinypod.com",
            "title": "tinypod - an iPod-style case for the Apple Watch",
            "date": "2024-07-20",
            "note": "A really cute concept for taking a computer on your wrist and adapting it into a digital detox device. The regular model is a little too expensive for my liking, but the \"lite\" model is cheap enough that I could justify trying it out with my own Apple Watch (once I find it again lol)."
        },
        {
            "url": "https://simonwillison.net/2024/Jul/13/give-people-something-to-link-to/",
            "author": "Simon Willson",
            "title": "Give people something to link to so they can talk about your features and ideas",
            "pubDate": "2024-07-13",
            "date": "2024-07-14",
            "note": "If you want people to be able to talk about an idea, concept, or feature that you develop, you should have a resource about it for people to easily reference. ChatGPT being used as an example is slightly cringe, but it works to show what not to do."
        },
        {
            "url": "https://openpipe.ai/blog/hn-ai-crypto",
            "author": "Kyle Corbitt",
            "title": "Is AI the Next Crypto? Insights from 2M HN comments",
            "pubDate": "2023-11-08",
            "date": "2023-11-08",
            "note": "An analysis of Hacker News' sentiment towards AI compared to NFT's... using AI. Big note: this is a very cleverly disguised ad for OpenPipe, the service which is hosting this article, but I actually appreciated how it broke down the details of how the author computed his data. I wish there was a bit more analysis of the results, though."
        },
        {
            "url": "https://mariusbancila.ro/blog/2023/09/12/formatting-text-in-c-the-old-and-the-new-ways/",
            "author": "Marius Brancila",
            "title": "Formatting Text in C++: The Old and The New Ways",
            "pubDate": "2023-09-12",
            "date": "2023-11-07 14:00:00",
            "note": "C++20 introduced some new std functions to format strings: std::format and std::format_to. In practice, they work much like a streamlined version of C's printf. However, their implementation (based on the library {fmt}) results in much higher efficiency! Apparently the guys at C++ really like it because the new std::print function in C++23 has the functionality of std::format built in. I'm curious to see how this will change C++ devs' workflows, including newbies coming to C++ from other languages like Java or Python."
        },
        {
            "url": "https://github.com/jesseduffield/horcrux",
            "author": "Jesse Duffield",
            "title": "horcrux - Split your file into encrypted fragments so that you don't need to remember a passcode",
            "date": "2023-11-07 13:00:00",
            "note": "A simple terminal program that allows you to split files into encrypted chunks that can later be re-combined into the original file. Think of it like a RAID setup but for individual files or archives, inspired by an everything-phobic fantasy media franchise. I actually find the concept really facinating: it could be a good way to split up large media files and share them over the internet. Even if one horcrux gets corrupted, the others can still make up the original file, and since it is encrypted, it's tougher to discern what the original file is without enough pieces to put it together."
        },
        {
            "url": "https://stytch.com/blog/open-sourcing-sqx-a-way-to-build-flexible-database-models-in-go/",
            "author": "Logan Gore",
            "title": "Open-sourcing SQX, a way to build flexible database models in Go",
            "pubDate": "2023-08-31",
            "date": "2023-09-09 14:00:00",
            "note": "A really cool SQL interface for Go that both simplifies a lot of the boilerplate and allows for quickly building complex models through OOP. I don't have any experience in Go, but I'm honestly tempted to start learning Go just to try this library out and see if a port of it to other languages like C++ or Rust is possible."
        },
        {
            "url": "https://muldoon.cloud/2023/09/06/software-keeps-failing.html",
            "author": "Mickey Muldoon",
            "title": "Every Software Project is a Startup That Will Probably Fail",
            "pubDate": "2023-09-06",
            "date": "2023-09-09 13:00:00",
            "note": "A short retrospective on the reality of software projects: the value you get out of most of them is the lessons you learn when they crumble. I feel like this lesson could be told in a way less intrinsic to our dumb economic system, but I don't have enough brain capacity to write that up right now."
        },
        {
            "url": "https://ploum.net/2023-07-06-stop-trying-to-make-social-networks-succeed.html",
            "author": "Lionel Dricot",
            "title": "Stop Trying to Make Social Networks Succeed",
            "pubDate": "2023-07-06",
            "date": "2023-07-06",
            "note": "Social networks will never become universal or ubiquitous in the way companies and VC's want them to. Every social network will appeal to certain people more than others, so the best social network is the one that works best for you and your contacts. If one doesn't exist... make one! (or have someone else make it for you)."
        },
        {
            "url": "https://www.reproof.app/blog/notes-apps-help-us-forget",
            "author": "Matthew Guay",
            "title": "Notes apps are where ideas go to die. And that’s good.",
            "pubDate": "2022-02-15",
            "date": "2023-06-03 14:00:00",
            "note": "Notes apps always market themselves as tools to remember important things before they leave your mind. But maybe we should think of it the other way instead: notes afford us the ability to let thoughts leave our mind since we have already saved the information elsewhere."
        },
        {
            "url": "https://kapeli.com/dash",
            "title": "Dash for macOS - an API Documentation Browser and Code Snippet Manager",
            "date": "2023-06-03 13:00:00",
            "note": "Really cool offline documentation viewer for macOS... that's also $30 for some reason. DESPITE THERE BEING AN OFFICAL OPEN SOURCE PORT TO WINDOWS AND LINUX. I AM GOING TO COMBUST"
        },
        {
            "url": "https://blog.jim-nielsen.com/2023/deadlines-as-technology/",
            "author": "Jim Nielsen",
            "title": "Deadlines as Technology",
            "pubDate": "2023-03-09",
            "date": "2023-05-20",
            "note": "My ADHD means I always procrastinate things until the last minute. Well, if there is no 'last minute' -- i.e. there is no deadline -- shit won't get done. If you try to pace yourself to hit certain self-set deadlines, you may find that work becomes easier."
        },
        {
            "url": "https://tech.news.am/eng/news/510/worlds-first-portable-quantum-computers-on-sale-in-japan-prices-start-at-$8700.html",
            "author": "News.am",
            "title": "World's first portable quantum computers on sale in Japan: Prices start at $8,700",
            "pubDate": "2022-12-21",
            "date": "2023-05-20 15:00:00",
            "note": "they put an android tablet on a fucking quantum computer, i'm shitting and cumming rn"
        },
        {
            "url": "https://userinyerface.com/",
            "author": "Verhaert",
            "title": "User Inyerface",
            "date": "2023-05-20 14:00:00",
            "note": "Want to hate technology and how all of its innovations can be used for great evil? Try to work your way through this."
        },
        {
            "url": "https://walkingtheworld.substack.com/p/why-the-us-cant-have-nice-things",
            "author": "Chris Arnade",
            "title": "Why the US can't have nice things - A rant on bus stops",
            "pubDate": "2023-05-20",
            "date": "2023-05-20 13:00:00",
            "note": "A blog post on why US public works suck so much: the government doesn't trust its citizens to utilize public works properly nor make their own organic solutions for public issues. Really good read!"
        },
        {
            "url": "https://fortelabs.com/blog/the-secret-power-of-read-it-later-apps/",
            "author": "Tiago Forte",
            "title": "The Secret Power of 'Read-It-Later' Apps",
            "pubDate": "2022-12-06",
            "date": "2023-05-19",
            "note": "An article on the benefits of using 'read-it-later' apps. There are so many things wrong with this article that I'm definitely going to make a blog post responding to it at some point. Despite that, it is part of the inspiration for this feed... so thanks, I guess?"
        }
    ]
}